Debian Bug report logs - #638829
ITP: ruby-cutest -- Run tests in separate processes to avoid shared state.

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Praveen A <pravi.a@gmail.com>

Date: Mon, 22 Aug 2011 10:09:01 UTC

Owned by: Praveen Arimbrathodiyil <pravi.a@gmail.com>

Severity: wishlist

Fixed in version ruby-cutest/1.2.0-1

Done: Praveen Arimbrathodiyil <praveen@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Praveen Arimbrathodiyil <pravi.a@gmail.com>:
Bug#638829; Package wnpp. (Mon, 22 Aug 2011 10:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <pravi.a@gmail.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org, Praveen Arimbrathodiyil <pravi.a@gmail.com>. (Mon, 22 Aug 2011 10:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Praveen A <pravi.a@gmail.com>
To: submit@bugs.debian.org
Subject: ITP -- ruby-cutest - Run tests in separate processes to avoid shared state.
Date: Mon, 22 Aug 2011 15:37:06 +0530
Package: wnpp
Owner: Praveen Arimbrathodiyil <pravi.a@gmail.com>
Severity: wishlist


* Package name    : ruby-cutest
 Version         : 1.1.2
 Upstream Author : Damian Janowski & Michel Martens
* URL             : http://github.com/djanowski/cutest
* License         : MIT
 Programming Lang: Ruby
 Description     : Run tests in separate processes to avoid shared state.

Praveen
-- 
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
You have to keep reminding your government that you don't get your
rights from them; you give them permission to rule, only so long as
they follow the rules: laws and constitution.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Praveen Arimbrathodiyil <pravi.a@gmail.com>:
Bug#638829; Package wnpp. (Mon, 22 Aug 2011 13:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <pravi.a@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Praveen Arimbrathodiyil <pravi.a@gmail.com>. (Mon, 22 Aug 2011 13:27:06 GMT) Full text and rfc822 format available.

Message #10 received at 638829@bugs.debian.org (full text, mbox):

From: Praveen A <pravi.a@gmail.com>
To: 638829@bugs.debian.org
Subject: need to change library path
Date: Mon, 22 Aug 2011 18:55:05 +0530
$ cutest
/usr/bin/cutest:2:in `require': no such file to load --
/usr/lib/cutest (LoadError)
	from /usr/bin/cutest:2

and line 2 of /usr/bin/cutest is
require File.expand_path("../lib/cutest", File.dirname(__FILE__))

need to figure out the best way of fixing it.
-- 
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
You have to keep reminding your government that you don't get your
rights from them; you give them permission to rule, only so long as
they follow the rules: laws and constitution.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Praveen Arimbrathodiyil <pravi.a@gmail.com>:
Bug#638829; Package wnpp. (Mon, 22 Aug 2011 17:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <pravi.a@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Praveen Arimbrathodiyil <pravi.a@gmail.com>. (Mon, 22 Aug 2011 17:09:03 GMT) Full text and rfc822 format available.

Message #15 received at 638829@bugs.debian.org (full text, mbox):

From: Praveen A <pravi.a@gmail.com>
To: 638829@bugs.debian.org
Subject: pull request sent upstream for correcting require bug
Date: Mon, 22 Aug 2011 22:36:06 +0530
https://github.com/djanowski/cutest/pull/2

-- 
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
You have to keep reminding your government that you don't get your
rights from them; you give them permission to rule, only so long as
they follow the rules: laws and constitution.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Praveen Arimbrathodiyil <pravi.a@gmail.com>:
Bug#638829; Package wnpp. (Tue, 23 Aug 2011 15:06:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <pravi.a@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Praveen Arimbrathodiyil <pravi.a@gmail.com>. (Tue, 23 Aug 2011 15:06:12 GMT) Full text and rfc822 format available.

Message #20 received at 638829@bugs.debian.org (full text, mbox):

From: Praveen A <pravi.a@gmail.com>
To: 638829@bugs.debian.org
Subject: package is ready!
Date: Tue, 23 Aug 2011 20:34:25 +0530
http://mentors.debian.net/package/ruby-cutest

I will join pkg-ruby-extras and add it to git repo as next step.

-- 
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
You have to keep reminding your government that you don't get your
rights from them; you give them permission to rule, only so long as
they follow the rules: laws and constitution.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Praveen Arimbrathodiyil <pravi.a@gmail.com>:
Bug#638829; Package wnpp. (Sun, 28 Aug 2011 11:30:27 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <pravi.a@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Praveen Arimbrathodiyil <pravi.a@gmail.com>. (Sun, 28 Aug 2011 11:30:36 GMT) Full text and rfc822 format available.

Message #25 received at 638829@bugs.debian.org (full text, mbox):

From: Praveen A <pravi.a@gmail.com>
To: 638829@bugs.debian.org
Subject: Package added to pkg-ruby-extras git repo
Date: Sun, 28 Aug 2011 16:59:41 +0530
[Message part 1 (text/plain, inline)]
Available at
http://anonscm.debian.org/gitweb/?p=pkg-ruby-extras/ruby-cutest.git
[Message part 2 (text/html, inline)]

Added indication that bug 638829 blocks 638825 Request was from Praveen A <pravi.a@gmail.com> to control@bugs.debian.org. (Sat, 03 Sep 2011 08:51:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Praveen Arimbrathodiyil <pravi.a@gmail.com>:
Bug#638829; Package wnpp. (Tue, 20 Sep 2011 07:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <pravi.a@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Praveen Arimbrathodiyil <pravi.a@gmail.com>. (Tue, 20 Sep 2011 07:15:03 GMT) Full text and rfc822 format available.

Message #32 received at 638829@bugs.debian.org (full text, mbox):

From: Praveen A <pravi.a@gmail.com>
To: 638829@bugs.debian.org
Subject: one more bug sent upstream
Date: Tue, 20 Sep 2011 12:41:26 +0530
test/fixtures directory is missing from gem and tests are failing
because of that.
Opened issue at https://github.com/djanowski/cutest/issues/3

Praveen
-- 
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
You have to keep reminding your government that you don't get your
rights from them; you give them permission to rule, only so long as
they follow the rules: laws and constitution.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Praveen Arimbrathodiyil <pravi.a@gmail.com>:
Bug#638829; Package wnpp. (Wed, 21 Sep 2011 06:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <pravi.a@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Praveen Arimbrathodiyil <pravi.a@gmail.com>. (Wed, 21 Sep 2011 06:33:03 GMT) Full text and rfc822 format available.

Message #37 received at 638829@bugs.debian.org (full text, mbox):

From: Praveen A <pravi.a@gmail.com>
To: 638829@bugs.debian.org
Subject: issue 3 fixed upstream, now issue 1 is biting us
Date: Wed, 21 Sep 2011 12:01:00 +0530
one test is failing now, possibly a bug in cutest, details at
https://github.com/djanowski/cutest/pull/1

-- 
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
You have to keep reminding your government that you don't get your
rights from them; you give them permission to rule, only so long as
they follow the rules: laws and constitution.

Changed Bug title to 'ITP: ruby-cutest -- Run tests in separate processes to avoid shared state.' from 'ITP -- ruby-cutest - Run tests in separate processes to avoid shared state.' Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Tue, 10 Jan 2012 01:12:34 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 02 Nov 2012 19:06:03 GMT) Full text and rfc822 format available.

Reply sent to Praveen Arimbrathodiyil <praveen@debian.org>:
You have taken responsibility. (Thu, 15 Nov 2012 21:03:08 GMT) Full text and rfc822 format available.

Notification sent to Praveen A <pravi.a@gmail.com>:
Bug acknowledged by developer. (Thu, 15 Nov 2012 21:03:08 GMT) Full text and rfc822 format available.

Message #46 received at 638829-close@bugs.debian.org (full text, mbox):

From: Praveen Arimbrathodiyil <praveen@debian.org>
To: 638829-close@bugs.debian.org
Subject: Bug#638829: fixed in ruby-cutest 1.2.0-1
Date: Thu, 15 Nov 2012 21:00:05 +0000
Source: ruby-cutest
Source-Version: 1.2.0-1

We believe that the bug you reported is fixed in the latest version of
ruby-cutest, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 638829@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Praveen Arimbrathodiyil <praveen@debian.org> (supplier of updated ruby-cutest package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 22 Aug 2011 18:29:19 +0530
Source: ruby-cutest
Binary: ruby-cutest
Architecture: source all
Version: 1.2.0-1
Distribution: unstable
Urgency: low
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Praveen Arimbrathodiyil <praveen@debian.org>
Description: 
 ruby-cutest - Run ruby tests independantly
Closes: 638829
Changes: 
 ruby-cutest (1.2.0-1) unstable; urgency=low
 .
   * Initial release. (Closes: #638829)
   * fix failing tests, patch by srihari
   * add manpage for cutest.
Checksums-Sha1: 
 0ece25b837cfe3c9f7c91fc5a1f080fd43cd6c6a 2049 ruby-cutest_1.2.0-1.dsc
 4df231d1a3bb2752b959d6d297ffe0639cc4e4b9 6708 ruby-cutest_1.2.0.orig.tar.gz
 d9235d1ebf38d25f8f7cd62af6fd4dac3673d4f8 3476 ruby-cutest_1.2.0-1.debian.tar.gz
 d7dd798a69ba57ae1d506218b08724021fb7bfd0 10350 ruby-cutest_1.2.0-1_all.deb
Checksums-Sha256: 
 09be5505b43d5fad719ddae388dcd82860823bff3d9ef586ac2a111089ba9477 2049 ruby-cutest_1.2.0-1.dsc
 f791ebc6fa363c92203a05a8986e9f2cac978a58134b4de3ac8d462cd3178033 6708 ruby-cutest_1.2.0.orig.tar.gz
 d1acbe275fd3f073ca94246b42c113103f2696593e47b7c3edec5c49cbe9481f 3476 ruby-cutest_1.2.0-1.debian.tar.gz
 c1838500e23f0621d6c1933104005f3dc54e5c1f316cc630e1b317f7c5649943 10350 ruby-cutest_1.2.0-1_all.deb
Files: 
 71a6c007991113e7c18e27653c2a9b88 2049 ruby optional ruby-cutest_1.2.0-1.dsc
 290c1796ad7686defbe05d975a4ae3f3 6708 ruby optional ruby-cutest_1.2.0.orig.tar.gz
 c34969750895c1e60639d56e9b69abfe 3476 ruby optional ruby-cutest_1.2.0-1.debian.tar.gz
 24acfa100738a53f1485030a6d775848 10350 ruby optional ruby-cutest_1.2.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQlAIVAAoJEM4fnGdFEsIqMAUQAJEFmTBZIa/9MZL+7eg3idNr
6uW7oLxAFMlN9NgO2j8CrfTDHskn+Ah3PlFJLoHgL3q927jB63fB9GktBbJW1nqm
soIycf/JUmv74Ms1ggwXkPOhW3ke3YMnanxvgTzaZdjvpmqfdNnh7zqSoxn5fclY
rFCCBR5MxywpA1k7ODhnsKDzvQDNHZWjgQ5vTPdILp+ni5pDSLFT9i9SUMHKytuV
NI0pfcS9mzSpRFsKrP6fcYjVCR2UqiTyo1zU1voHQrpNna7tc4Hie7SBhVsA1hpW
PkNuxxwIFFgdDG+mXR84nf/LXHmpHd5aXuQ80Sw5x2Z/6XYsPMavcY4W6sclmD/3
cqgCPhhdi1G5wgWvuLavUP2SlbAwp9CAf3yWFfDSxj2/79GlMvFQTmmL11TEprkp
wQYzCaVs9wSg7iV95mU0LyhL1bkjoh6nrw+fUVclg5eFGQ4VmmToLlZ8Mhe4IIhz
Z6vYfSQbK49hGe9D0Oqb7GaYEPNAYHxgZOcLFrKZ4jkwmIDiXQOOZU63xYQ5r0s2
/6rDyo+p0qJQfYKoRQyYPfkFv6b6rf2UqwW51XvjF46f/wq7/sTkHnftTQ6pAUV4
09S0YMztS2BBwc2kKsMko2nFI6W3C3xJv1CtlMhQcbl0ReQUQGhpLyxqnKcZe0BK
T1uOi5HafFFAgfTohBKM
=ty2G
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 14 Dec 2012 07:26:50 GMT) Full text and rfc822 format available.

Added indication that bug 638829 blocks 712048 Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Wed, 12 Jun 2013 19:57:05 GMT) Full text and rfc822 format available.

Removed indication that bug 638829 blocks 638825 Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Wed, 12 Jun 2013 20:06:16 GMT) Full text and rfc822 format available.

Removed indication that bug 638829 blocks Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Wed, 12 Jun 2013 21:39:05 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Thu, 13 Jun 2013 00:36:07 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 11 Jul 2013 07:30:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 21:47:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.